Update Document
curl --request PUT \
--url https://{tenant_id}.api.useago.com/api/v1/documents/{document_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"title": "<string>",
"content": "<string>",
"status": "<string>",
"default_language": "<string>"
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/documents/{document_id}"
payload = {
"title": "<string>",
"content": "<string>",
"status": "<string>",
"default_language": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
content: '<string>',
status: '<string>',
default_language: '<string>'
})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/documents/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"title": "<string>",
"object": "document",
"page_id": "<string>",
"content": "<string>",
"override_content": "<string>",
"related_questions": "<string>",
"status": "<string>",
"public_display": true,
"default_language": "en",
"source_id": "<string>",
"source_name": "<string>",
"parent_id": "<string>",
"position": 0,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Documents
Update Document
Update a knowledge document.
PUT
/
api
/
v1
/
documents
/
{document_id}
Update Document
curl --request PUT \
--url https://{tenant_id}.api.useago.com/api/v1/documents/{document_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"title": "<string>",
"content": "<string>",
"status": "<string>",
"default_language": "<string>"
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/documents/{document_id}"
payload = {
"title": "<string>",
"content": "<string>",
"status": "<string>",
"default_language": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
content: '<string>',
status: '<string>',
default_language: '<string>'
})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/documents/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"title": "<string>",
"object": "document",
"page_id": "<string>",
"content": "<string>",
"override_content": "<string>",
"related_questions": "<string>",
"status": "<string>",
"public_display": true,
"default_language": "en",
"source_id": "<string>",
"source_name": "<string>",
"parent_id": "<string>",
"position": 0,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
OK
Stripe-aligned document response.
